
// FN-FAL addon by Christoph (christophh@wp.pl)
// some basic defines
#define TEast 1
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class CRSFNFAL
	{
		units[] = {CRS_SOLDIER_FNFAL};
		weapons[] = {CRSFNFAL};
		requiredVersion = 1.00;
	};
};


class CfgAmmo
{
	class Default {};
	class BulletSingle: Default{};
	class CRSfnfalBullet: BulletSingle
	{
		hit= 9;
		indirectHit= 1;
		indirectHitRange= 0.40000;
		minRange=0.5;
		minRangeProbab=0.800000;
		midRange=120;
		midRangeProbab=0.350000;
		maxRange=180;
		maxRangeProbab=0.080000;
		visibleFire= 16;
		audibleFire= 16;
		visibleFireTime= 10;
	};
};

class CfgWeapons

{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};
	class AK47: Riffle {};
	
	class CRSFNFAL: AK47
	{
		displayName = FN-FAL;
		

		magazines[]={"CRSFNFALMAG"};
		scopeWeapon=2;
		scopeMagazine=0;
		model="\FFAL\fnfal.p3d";
		modelOptics="\data3d\optika_PK.p3d";
		picture="\dtaext\equip\w\w_ak47.paa"
		optics = true;
		opticsZoomMin=0.35;
		opticsZoomMax=0.35;
                count=20;
		modes[]={"Single","Burst","FullAuto"};

		class Single
		{
			ammo="CRSfnfalBullet";
			multiplier=1;
			burst=1;

			displayName="FN-FAL Single";

			dispersion=0.000200;
			sound[]={"\FFAL\FNFALSingle.wav",60.200000,1};
			soundContinuous=0;
			reloadTime=0.150000;
			ffCount=1;
			recoil="riffleSingle";
			autoFire=0;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
		class Burst
		{
			ammo="CRSfnfalBullet";
			multiplier=1;
			burst=3;

			displayName="FN-FAL Burst";

			dispersion=0.000400;
			sound[]={"\FFAL\FNFALBurst.wav",60.200000,1};
			soundContinuous=0;
			reloadTime=0.100000;
			ffCount=3;
			recoil="riffleBurst3";
			autoFire=0;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
		class FullAuto
		{
			ammo="CRSfnfalBullet";
			multiplier=1;
			burst=1;

			displayName="FN-FAL Auto";

			dispersion=0.000800;
			sound[]={"\FFAL\FNFALAuto.wav",60.200000,1};
			soundContinuous=0;
			reloadTime=0.100000;
			ffCount=30;
			recoil="riffleBurst3";
			autoFire=1;
			aiRateOfFire=6.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};

	};


class CRSFNFALMAG: CRSFNFAL
	{
		scopeWeapon=0;
		scopeMagazine=2;
		displayNameMagazine="FN-FAL Magazine";
		shortNameMagazine="FN-FAL Mag";
		picture="\dtaext\equip\w\w_ak47.paa";
	};
};
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class CRS_SOLDIER_FNFAL: SoldierWB
	{
	displayName="Soldier (FN-FAL)";
	weapons[]={"CRSFNFAL","Throw","Put"};
	magazines[]={CRSFNFALMAG,CRSFNFALMAG,CRSFNFALMAG,CRSFNFALMAG,CRSFNFALMAG,CRSFNFALMAG,HandGrenade,HandGrenade,HandGrenade,HandGrenade};
	};

};




class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyCRSFNFAL: ProxyWeapon {};
};